#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    int n,m,i; char c;
    scanf("%d%d",&n,&m);
    for(i=1;i<=n*m;i++) {
        c=getchar();
        if(c=='\n') {
            i--;
        }
    }
    printf("-1");
    return 0;
}